package gov.va.med.esr.common.builder.entity;

import gov.va.med.esr.common.builder.datatype.metadata.AbstractDataTypeMetaData;
import gov.va.med.esr.common.builder.datatype.metadata.SimpleTypeMetaData;

public interface EntityBuilderStrategy {

	public boolean shouldDelete(AbstractDataTypeMetaData data);

	public boolean shouldDelete(String data);

	public boolean shouldKeep(SimpleTypeMetaData data);

	public boolean shouldKeep(String data);

	public boolean shouldKeep(Object data);

}